Solucionar conflictos con vibs actualizando de VMware ESXi 5.5 a 6.5

Posted by José Manuel Hernández on
En la actualización de ESXi 5.5 a 6.5 es probable que te hayas topado con algún error al tener una vib incompatible y el proceso te falle con un error del tipo "Conflicting_vibs Error".

Solucionar este error es sencillo:

1º Anota el nombre de las vibs que te generan problemas, ten en cuenta que el nombre que muestra el error es el nombre largo de la vib.




2º Entra por SSH a tu host ESXi y lista las vibs instaladas:

  # esxcli software vib list|grep Mel


  3ºAnota el nombre corto de la vib que necesitarás en el siguiente paso para eliminarla.


  4º Elimina la vib que da conflicto con la nueva versión de ESXi:
  
  # esxcli software vib remove --vibname=[nombre_corto_vib]

ejemplo:

  # esxcli software vib remove --vibname=scsi-lpfc820

Repite este paso con todas las vibs conflictivas.

4º Reinicia el host ESXi. Es necesario que hagas un reboot desde ESXi no funciona un apagado forzoso o un reset hardware.

5º Prueba actualizar tu ESXi